# error creating tvs
# error creating tvd
# error creating pstat
# error creating pdyn
# error creating tneck1
# error creating tneck2
# error creating tnvs
# error creating tnvd
# error creating ts
Node('varioxB_vb.psi.ch',
     'varioxB_vb over SEA',
     interface='tcp://10767',
)

Mod('seaconn',
    'frappy_psi.sea.SeaClient',
    'a SEA connection',
)

Mod('tvs',
    'frappy_psi.sea.SeaReadable',
    io='seaconn',
    json_descr='tvs.varioxB.config',
    remote_paths='.',
)

Mod('tvd',
    'frappy_psi.sea.SeaReadable',
    io='seaconn',
    json_descr='tvd.varioxB.config',
    remote_paths='.',
)

Mod('pstat',
    'frappy_psi.sea.SeaReadable',
    io='seaconn',
    json_descr='pstat.varioxB.config',
    remote_paths='.',
)

Mod('pdyn',
    'frappy_psi.sea.SeaReadable',
    io='seaconn',
    json_descr='pdyn.varioxB.config',
    remote_paths='.',
)

Mod('tneck1',
    'frappy_psi.sea.SeaReadable',
    io='seaconn',
    json_descr='tneck1.varioxB.config',
    remote_paths='.',
)

Mod('tneck2',
    'frappy_psi.sea.SeaReadable',
    io='seaconn',
    json_descr='tneck2.varioxB.config',
    remote_paths='.',
)

Mod('tnvs',
    'frappy_psi.sea.SeaReadable',
    io='seaconn',
    json_descr='tnvs.varioxB.config',
    remote_paths='.',
)

Mod('tnvd',
    'frappy_psi.sea.SeaReadable',
    io='seaconn',
    json_descr='tnvd.varioxB.config',
    remote_paths='.',
)

Mod('ts',
    'frappy_psi.sea.SeaReadable',
    io='seaconn',
    json_descr='ts.vb.stick',
    remote_paths='.',
)
